mwPlaceHandler Struct Reference

`#include <mw_srvc_place.h>`

## Data Fields

void(* | clear )(struct mwServicePlace *srvc)
void(* | closed )(struct mwPlace *place, guint32 code)
void(* | message )(struct mwPlace *place, const struct mwIdBlock *who, const char *msg)
void(* | opened )(struct mwPlace *place)
void(* | peerJoined )(struct mwPlace *place, const struct mwIdBlock *peer)
void(* | peerParted )(struct mwPlace *place, const struct mwIdBlock *peer)
void(* | peerSetAttribute )(struct mwPlace *place, const struct mwIdBlock *peer, guint32 attr, struct mwOpaque *o)
void(* | peerUnsetAttribute )(struct mwPlace *place, const struct mwIdBlock *peer, guint32 attr)

## Field Documentation

## clear

void(* mwPlaceHandler::clear) (struct mwServicePlace *srvc)

## closed

void(* mwPlaceHandler::closed) (struct mwPlace *place, guint32 code)

## message

void(* mwPlaceHandler::message) (struct mwPlace *place, const struct mwIdBlock *who, const char *msg)

## opened

void(* mwPlaceHandler::opened) (struct mwPlace *place)

## peerJoined

void(* mwPlaceHandler::peerJoined) (struct mwPlace *place, const struct mwIdBlock *peer)

## peerParted

void(* mwPlaceHandler::peerParted) (struct mwPlace *place, const struct mwIdBlock *peer)

## peerSetAttribute

void(* mwPlaceHandler::peerSetAttribute) (struct mwPlace *place, const struct mwIdBlock *peer, guint32 attr, struct mwOpaque *o)

## peerUnsetAttribute

void(* mwPlaceHandler::peerUnsetAttribute) (struct mwPlace *place, const struct mwIdBlock *peer, guint32 attr)

The documentation for this struct was generated from the following file:

- mw_srvc_place.h